[arch-commits] Commit in libmusepack/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 03:49:22 EDT 2009


    Date: Friday, April 10, 2009 @ 03:49:22
  Author: eric
Revision: 34567

upgpkg: libmusepack 1.1.1-1
    Upstream update, Fixed license, Listool slayed

Modified:
  libmusepack/trunk/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-10 07:36:25 UTC (rev 34566)
+++ PKGBUILD	2009-04-10 07:49:22 UTC (rev 34567)
@@ -2,23 +2,21 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=libmusepack
-pkgver=1.1
-pkgrel=2
+pkgver=1.1.1
+pkgrel=1
 pkgdesc="Musepack decoding library"
+arch=('i686' 'x86_64')
+url="http://musepack.net/"
+license=('BSD')
 depends=('glibc')
+options=('!libtool')
 source=(http://www.saunalahti.fi/grimmel/musepack.net-files/source/libmusepack-$pkgver.tar.bz2)
-url="http://musepack.net/"
-arch=('i686' 'x86_64')
-license=('custom')
-md5sums=('C06AA1DA054ED79989CD71D5300ED7C5')
+md5sums=('480033dea2fff03afcfa17dfb60c7527')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
-
-# install custom license
-install -Dm644 $srcdir/$pkgname-$pkgver/COPYING	\
-	$pkgdir/usr/share/licenses/$pkgname/COPYING
+  make DESTDIR=$pkgdir install || return 1
+  install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list